[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Bug#649038: elfutils FTBFS on kfreebsd



tags 649038 + patch
thanks

Hi,

After applying the fix for #615507, the remaining test failure I see is:

> FAIL: run-native-test.sh
> ========================
> 
> allregs: cannot attach to process: Function not implemented

which is an expected consequence of Bug #570805 (and is not necessarily
a bug, but a request for kFreeBSD linprocfs to behave more like Linux).
It will always happen when building with sbuild.

Therefore, please either skip or ignore this test failure on kfreebsd-*
(patch attached).

Thanks,
Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org
--- tests/run-native-test.sh.orig
+++ tests/run-native-test.sh
@@ -78,6 +78,12 @@
   test $native -eq 0 || testrun "$@" -p $native > /dev/null
 }
 
+# On the Debian buildds, GNU/kFreeBSD linprocfs /proc/$PID/maps does
+# not give absolute paths due to sbuild's bind mounts (bug #570805)
+# therefore the next two test programs are expected to fail with
+# "cannot attach to process: Function not implemented".
+[ "$(uname)" = "GNU/kFreeBSD" ] && exit 77
+
 native_test ${abs_builddir}/allregs
 native_test ${abs_builddir}/funcretval
 

Reply to: